Bug 73273 - XmNcursorPosition sometimes ignored
Summary: XmNcursorPosition sometimes ignored
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openmotif (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-02 06:08 UTC by Andrej Vodopivec
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 10:51:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C file demo of the bug (5.53 KB, text/plain)
2002-09-02 06:09 UTC, Andrej Vodopivec
no flags Details

Description Andrej Vodopivec 2002-09-02 06:08:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; T312461)

Description of problem:
When setting options in an XmTest widget XmNcursorPosition is
is ignored in Linux (works with Solaris, HPUX) and cursor is left
at position 0. An extra call to XtSetValues with a single value
does work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Comment out the EXTRA call to XtSetValues in gig.c
2. Compile 	gcc -o gig -g -I. -I/usr/X11R6/include gig.o -L/usr/X11R6/lib -
lXm -lXt -lXpm -lX11 -lm gig.c
3. Run gig requesting text input from green status line with 't'
   Cursor remains at position 0.
4. End selection with 'Enter'
5. quit with 'q'
6. Add the EXTRA XtSetValues call and recompile
7. Text input in status line works as expected

Additional info:

I hope I selected the correct component to report this bug.

Comment 1 Andrej Vodopivec 2002-09-02 06:09:58 UTC
Created attachment 74464 [details]
C file demo of the bug

Comment 2 Thomas Woerner 2003-01-03 10:51:31 UTC
It works without the extra call with openmotif-2.2.2-12 (this is the default for
Red Hat 8.0).



Note You need to log in before you can comment on or make changes to this bug.